Description

Ok... this suggestion comes from Arc* users, but it makes sense to me.

Add a tab to show a table with the following columns/stats

row_id|value|count|area|

History

#1 - 2011-09-25 03:31 AM - Paolo Cavallini

Of course this makes sense for categorical rasters, much less for continuous ones. The data should be already available through the histogram function.

Looks very easy to implement, and useful.

#2 - 2011-09-27 05:29 AM - Bill Williamson

+1, use case is Landsat rasters which tend to play havoc with most scales on histograms. For atmospheric correction workflows it is useful to be able to

explore the histogram.

#3 - 2011-11-11 08:32 AM - Giovanni Manghi

A nice addon to the table of values would be to have also the chance to select a particular raster value and have the pixels highlighted on the map.

I don't want to say a stupid thing, but probably some of the code from the "raster transparency" plugin would be reusable for such feature.

#4 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2011-12-25 10:34 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

See also #863

#6 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-03-15 09:00 AM - Giovanni Manghi
see also #7364

#8 - 2014-06-20 11:07 AM - Giovanni Manghi

- Assignee deleted (Tim Sutton)

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2019-03-05 11:25 AM - Mike Taves

- Description updated

Note that GDAL 2.4 has improved RAT support; see https://github.com/OSGeo/gdal/pull/743
